i do all of my notes in model space in autocad. at an old firm i used to work for i had a "scale toolbar" which would set the mtext and any symbols i inserted to the proper scale. it was incredibly useful being able to change scales with the click of an icon rather than having to type it out.
is the "scale toolbar" some sort of plug-in? it doesn't seem to come out of the box with autocad or in express tools.
We have one on our ACAD 2007, but I dont know how our Cadmaster made it. I do know he had to make the buttons in photoshop, so I assume its a lisp routine.
wow, thanks, but i really don't know much about lisp routines. i may have to do some more research before it will be useful, but it looks like a good start.
autocad scale toolbar
i do all of my notes in model space in autocad. at an old firm i used to work for i had a "scale toolbar" which would set the mtext and any symbols i inserted to the proper scale. it was incredibly useful being able to change scales with the click of an icon rather than having to type it out.
is the "scale toolbar" some sort of plug-in? it doesn't seem to come out of the box with autocad or in express tools.
I think that is one of the differences between Autodesk Architectural Desktop and AutoCAD
i did switch from architectural desktop to autocad. that must be it. is there some way to get this feature on autocad? i really grew to depend on it.
We have one on our ACAD 2007, but I dont know how our Cadmaster made it. I do know he had to make the buttons in photoshop, so I assume its a lisp routine.
yikes - the only lisp i ever liked was cindy brady's. i wonder if there's some way it could be purchased? a quick google search didn't turn up much.
This is the lisp routine... I can email it to you if you'd like.
;;;Architectural Scales
(defun C:j1 ()
(command "dimscale" "1" )
(command "ltscale" "1" )
(princ))
(defun C:j2 ()
(command "dimscale" "2" )
(command "ltscale" "2" )
(princ))
(defun C:j4 ()
(command "dimscale" "4" )
(command "ltscale" "4" )
(princ))
(defun C:j8 ()
(command "dimscale" "8" )
(command "ltscale" "8" )
(princ))
(defun C:j12 ()
(command "dimscale" "12" )
(command "ltscale" "12" )
(princ))
(defun C:j16 ()
(command "dimscale" "16" )
(command "ltscale" "16" )
(princ))
(defun C:j24 ()
(command "dimscale" "24" )
(command "ltscale" "24" )
(princ))
(defun C:j32 ()
(command "dimscale" "32" )
(command "ltscale" "32" )
(princ))
(defun C:j48 ()
(command "dimscale" "48" )
(command "ltscale" "48" )
(princ))
(defun C:j64 ()
(command "dimscale" "64" )
(command "ltscale" "64" )
(princ))
(defun C:j96 ()
(command "dimscale" "96" )
(command "ltscale" "96" )
(princ))
(defun C:j128 ()
(command "dimscale" "128" )
(command "ltscale" "128" )
(princ))
(defun C:j192 ()
(command "dimscale" "192" )
(command "ltscale" "192" )
(princ))
(defun C:j384 ()
(command "dimscale" "384" )
(command "ltscale" "384" )
(princ))
;;;Engineering Scales
(defun C:j120 ()
(command "dimscale" "120" )
(command "ltscale" "120" )
(princ))
(defun C:j240 ()
(command "dimscale" "240" )
(command "ltscale" "240" )
(princ))
(defun C:j360 ()
(command "dimscale" "360" )
(command "ltscale" "360" )
(princ))
(defun C:j480 ()
(command "dimscale" "480" )
(command "ltscale" "480" )
(princ))
(defun C:j600 ()
(command "dimscale" "600" )
(command "ltscale" "600" )
(princ))
(defun C:j720 ()
(command "dimscale" "720" )
(command "ltscale" "720" )
(princ))
(defun C:j840 ()
(command "dimscale" "840" )
(command "ltscale" "840" )
(princ))
(defun C:j960 ()
(command "dimscale" "960" )
(command "ltscale" "960" )
(princ))
(defun C:j1080 ()
(command "dimscale" "1080" )
(command "ltscale" "1080" )
(princ))
(defun C:j1200 ()
(command "dimscale" "1200" )
(command "ltscale" "1200" )
(princ))
(defun C:j1800 ()
(command "dimscale" "1800" )
(command "ltscale" "1800" )
(princ))
(defun C:j2400 ()
(command "dimscale" "2400" )
(command "ltscale" "2400" )
(princ))
I did just test it, since we use buttons for it, but typing 'j48' will set stuff to 1/4" scale.
Would you like the file?
wow, thanks, but i really don't know much about lisp routines. i may have to do some more research before it will be useful, but it looks like a good start.
Block this user
Are you sure you want to block this user and hide all related comments throughout the site?
Archinect
This is your first comment on Archinect. Your comment will be visible once approved.